package com.shcd.boat;

import com.alibaba.fastjson.JSON;
import com.shanghaigeography.Util.DateUtils;
import com.shcd.boat.config.RedisCache;
import com.shcd.boat.config.SnowConfig;
import com.shcd.boat.entity.BoatInfoEntity;
import com.shcd.boat.entity.ShipSealOffInfo;
import com.shcd.boat.entity.ShipSealOffPoints;
import com.shcd.boat.entity.gh.GHAisInfo;
import com.shcd.boat.mapper.ShipSealOffPointsMapper;
import com.shcd.boat.sms.MASSMSService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.util.ObjectUtils;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

@SpringBootTest
class BoatApplicationTests {

    @Autowired
    private SnowConfig snowflakeConfig;
    @Autowired
    private ShipSealOffPointsMapper offPointsMapper;
    @Autowired
    private RedisCache redisUtilTemplate;
    @Test
    void contextLoads() {
//        List<ShipSealOffPoints> sealOffPoints=new ArrayList<>();
//        ShipSealOffPoints offPoints=new ShipSealOffPoints();
//        offPoints.setId(snowflakeConfig.snowflakeStringId());
//        offPoints.setSealId(snowflakeConfig.snowflakeStringId());
//        offPoints.setSourceType("市港航");
//        offPoints.setMmsi("123456789");
//        offPoints.setShipName("123456789");
//        offPoints.setPointGeom("123 456");
//        offPoints.setAisTime(new Date());
//        offPoints.setPointJson("{sdasdasdasd}");
//        sealOffPoints.add(offPoints);
//        offPointsMapper.saveAll(sealOffPoints,3857);


        Object result = redisUtilTemplate.getCacheObject("413957409");
        if (!ObjectUtils.isEmpty(result)) {
            //已经在监控了
            //缓存需更新数据
            BoatInfoEntity redisData = JSON.parseObject((String) result, BoatInfoEntity.class);
            System.out.println(redisData);
        }
    }

    @Autowired
    private MASSMSService massmsService;
    /**
     * 短信发送
     */
    @Test
    void sendSMSData() {

//        String message = "【2025-01-30 13:05:11】，发现【苏无锡货98668】违规驶入封航区域，请尽快核实。";
//        massmsService.commonSend("13393931806", message);
//        massmsService.commonSend("18202163836", message);
//        massmsService.commonSend("13661964733", message);
//        massmsService.commonSend("13818963821", message);
//        massmsService.commonSend("13761118033", message);
//        massmsService.commonSend("19855003202", message);


        Collection<String> cacheKeys  =redisUtilTemplate.keys("*");
        if (cacheKeys!=null && cacheKeys.size()>0) {
            cacheKeys.stream().filter(i->i.contains("zy")).forEach(i->{
                System.out.println(i);
                BoatInfoEntity redisData = JSON.parseObject((String) i, BoatInfoEntity.class);
                GHAisInfo aisInfos = redisData.getGhAisInfo();
                System.out.println(aisInfos.toString());
            });
        }
    }




    }
